Bug 406241 - Crash when applying split alpha to layers
Summary: Crash when applying split alpha to layers
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Layers/Vector (show other bugs)
Version: git master (please specify the git hash!)
Platform: Microsoft Windows Microsoft Windows
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: regression, triaged
: 399749 399751 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-04-05 05:16 UTC by acc4commissions
Modified: 2019-05-01 09:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
valgrind memcheck log of the crash (360.94 KB, text/plain)
2019-04-05 08:03 UTC, Halla Rempt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description acc4commissions 2019-04-05 05:16:42 UTC
git 0cf7c06

SUMMARY

(To any layers) Split alpha -> Alpha into mask -> Crash

SOFTWARE/OS VERSIONS
Windows: Windows 7
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION

-
Error occurred on Friday, April 5, 2019 at 14:01:12.

krita.exe caused an Access Violation at location 0000000000000000 DEP violation at location 0000000000000000.

AddrPC           Params
0000000000000000 000000000D5E2B80 0000000000000000 0000000038CE76F0
000007FEC76BF428 000000000D6B6BC0 000000000DC59A70 000000000D6B6BC0  libkritaui.dll!0xf428 KisDisplayColorConverter::Private::setCurrentNode+0x128
000007FEC76BF7CD 0000000000000001 0000000000000000 0000000000000000  libkritaui.dll!0xf7cd KisDisplayColorConverter::Private::slotCanvasResourceChanged+0xcd
000007FECA0F74CA 0000000008E5C4C0 000000000000061C 000007FECA4A1198  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC759C5B5 00000000002256F0 0000000000001776 0000000043F91CE0  libkritaflake.dll!0x10c5b5 KoCanvasResourceProvider::canvasResourceChanged+0x35
000007FECA0F75DD 000000001C1A50E0 000000006FD0728C 0000000000000020  Qt5Core.dll!0x2275dd QMetaObject::activate+0x90d
000007FEC759CE35 0000000000000000 0000000000001776 000000000000000E  libkritaflake.dll!0x10ce35 KoResourceManager::resourceChanged+0x35
000007FEC7495099 000007FECA4A13E0 0000000000001776 000000000000000E  libkritaflake.dll!0x5099 KoResourceManager::setResource+0x3a9
000007FEC774736B 0000000000000000 000000001DB7A9C0 00000000002259D0  libkritaui.dll!0x9736b KisCanvasResourceProvider::slotNodeActivated+0x13b
000007FEC7A28D32 000000001C0C0AD0 000007FEF6F788A2 0000000038CEFBA0  libkritaui.dll!0x378d32 KisCanvasResourceProvider::qt_static_metacall+0x412
000007FECA0F74CA 0000000008E5C370 0000000008E5C370 0000000000225AB8  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC7A2CB07 0000000000000000 0000000000225A18 0000000021DBE820  libkritaui.dll!0x37cb07 KisNodeManager::sigNodeActivated+0x27
000007FEC77A8966 0000000021DBE820 0000000000000012 000007FEC7A3AAE0  libkritaui.dll!0xf8966 KisNodeManager::slotSomethingActivatedNodeImpl+0x146
000007FEC77A8B69 0000000039277D50 00000000357F5F60 0000000000000000  libkritaui.dll!0xf8b69 KisNodeManager::slotNonUiActivatedNode+0x69
000007FEC7A2C56C 0000000000000001 0000000000000080 0000000000225C60  libkritaui.dll!0x37c56c KisNodeManager::qt_static_metacall+0x3ec
000007FECA0F74CA 0000000021DBE820 000007FECA0F408C 0000000000225D50  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC7A3B38A 0000000000226038 00000000357F5F60 0000000000000000  libkritaui.dll!0x38b38a KisDummiesFacadeBase::sigActivateNode+0x2a
000007FEC7717194 0000000000000001 0000000044AAAE80 0000000044AAAE80  libkritaui.dll!0x67194 KisDummiesFacadeBase::slotNodeActivationRequested+0x74
000007FEC7A3ADA0 0000000000225DD0 0000000000000002 3FE0000000000003  libkritaui.dll!0x38ada0 KisDummiesFacadeBase::qt_static_metacall+0x2c0
000007FECA0F74CA 000000000DA1BCD0 0000000000000001 0000000039277D50  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC95C3917 0000000021FECB90 0000000021FECBA0 0000000000000008  libkritaimage.dll!0x243917 KisImage::qt_static_metacall+0x347
000007FECA0F74CA 0000000016338948 000007FECA0F408C 00000000357F5F60  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC95C01EA 0000000000226170 000007FEC94B8049 0000000039277D01  libkritaimage.dll!0x2401ea KisImageSignalRouter::sigNodeAddedAsync+0x2a
000007FEC94B976C 000007FEC9F79650 0000000000000000 0000000000226108  libkritaimage.dll!0x13976c KisImageSignalRouter::emitNodeHasBeenAdded+0x4c
000007FEC95067EF 000000000256F118 0000000000226248 0000000000226360  libkritaimage.dll!0x1867ef KisNode::add+0x2df
000007FEC9507A34 0000000000000009 0000000037EB95D8 0000000000226268  libkritaimage.dll!0x187a34 KisNodeFacade::addNode+0x44
000007FEC93D95B0 0000000000000000 000007FEFD7F5DC8 0000000000226270  libkritaimage.dll!0x595b0 KisImageLayerAddCommand::redo+0x90
000007FEF6BF3340 01D4EBB8071E1E87 000007FECA26A300 00050005000407E3  libkritacommand.dll!0x3340 KUndo2Command::redoMergedCommands+0x1c0
000007FEF6BF41C2 0000000000000060 00000000393BF0E0 0000000000226430  libkritacommand.dll!0x41c2 KUndo2QStack::push+0x32
000007FEC954BBB4 0000000037EB9428 000007FEFFBF10C8 0000000000000040  libkritaimage.dll!0x1cbbb4 KisLegacyUndoAdapter::addCommand+0x24
000007FEC77A0BBB 0000000000226508 000007FECA26A300 0000000000000000  libkritaui.dll!0xf0bbb KisNodeCommandsAdapter::addNode+0x11b
000007FEC7795CC1 0000000000226768 000007FEC79C5973 0000000000000000  libkritaui.dll!0xe5cc1 KisMaskManager::createMaskCommon+0x371
000007FEC7796288 0000000037CC8AB0 000000000C290550 0000000044108680  libkritaui.dll!0xe6288 KisMaskManager::createTransparencyMask+0x208
000007FEC77A9C83 0000000043BFEA30 0000000000000000 0000000038C8F254  libkritaui.dll!0xf9c83 KisNodeManager::createNode+0x343
000007FEC77AA2F9 0000000000040012 0000000000000000 000000000022AFC0  libkritaui.dll!0xfa2f9 KisNodeManager::slotSplitAlphaIntoMask+0x339
000007FEC7A2C8F7 0000000000000000 0000000000000000 000007FECA449D40  libkritaui.dll!0x37c8f7 KisNodeManager::qt_static_metacall+0x777
000007FECA0F74CA 000000001C0A7E30 0000000000226B38 0000000000000000  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC8E13E0E 000007FEC91D9A00 000007FEC91D9440 0000000000226B38  Qt5Widgets.dll!0x3e0e QAction::activate+0xfe
000007FEC8F6365B 0000000000000000 0000000000032001 000000001C0A7E30  Qt5Widgets.dll!0x15365b QMenu::setIcon+0x21b
000007FEC8F6A845 000000000000000F 0000000C00000047 0000000000000000  Qt5Widgets.dll!0x15a845 QMenu::leaveEvent+0x2c5
000007FEC8F6B567 0000000000000003 0000000000000000 000000000000000F  Qt5Widgets.dll!0x15b567 QMenu::mouseReleaseEvent+0xf7
000007FEC8E56028 000007FECA3373E8 0000000000226D40 000007FECA3373E0  Qt5Widgets.dll!0x46028 QWidget::event+0x1d8
000007FEC8F6D64B 000000000022FBB0 0000000000000001 0000000038E66320  Qt5Widgets.dll!0x15d64b QMenu::event+0x8b
000007FEC8E17BDC 000000000D6DB5B0 00000000002272E0 0000000C00000047  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
000007FEC8E1FC5A 0000000000000000 000007FEC9EF215F 3FE0000000000000  Qt5Widgets.dll!0xfc5a QApplication::notify+0x13aa
000007FEC7970486 0000000000000000 0000000000000000 0000000000000000  libkritaui.dll!0x2c0486 KisApplication::notify+0x16
000007FECA0CC0C8 0000000000000000 0000000000000000 0000000000000000  Qt5Core.dll!0x1fc0c8 QCoreApplication::sendSpontaneousEvent+0x1a8
000007FEC8E1E058 0000000000000000 0000000038E66320 0000000000227900  Qt5Widgets.dll!0xe058 QApplicationPrivate::sendMouseEvent+0x208
000007FEC8E6B1A2 000000000256A140 000007FECA0CA971 4096720000000000  Qt5Widgets.dll!0x5b1a2 QDesktopWidget::qt_metacall+0x3162
000007FEC8E6D7E3 000000000022FBB0 00000000024A03B0 0000000000000001  Qt5Widgets.dll!0x5d7e3 QDesktopWidget::qt_metacall+0x57a3
000007FEC8E17BDC 0000000038EB6820 00000000002278D0 000000000256A140  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
000007FEC8E1EC63 0000000000000000 000007FEC9EF215F 4096720000000000  Qt5Widgets.dll!0xec63 QApplication::notify+0x3b3
000007FEC7970486 0000000000000002 000007FEC98FACC4 0000000021C0D4B8  libkritaui.dll!0x2c0486 KisApplication::notify+0x16
000007FECA0CC0C8 0000000000000000 000000006FD0728C 0000000000000068  Qt5Core.dll!0x1fc0c8 QCoreApplication::sendSpontaneousEvent+0x1a8
000007FEC98E7198 0000000000000000 000007FECA0D1F53 0000000000227B80  Qt5Gui.dll!0x37198 QGuiApplicationPrivate::processMouseEvent+0x858
000007FEC98E83D5 0000000000000000 00000000024A0450 00000000001204C4  Qt5Gui.dll!0x383d5 QGuiApplicationPrivate::processWindowSystemEvent+0x105
000007FEC98C03FC 00000000779F6AF8 00000000001204C4 0000000000000401  Qt5Gui.dll!0x103fc QWindowSystemInterface::sendWindowSystemEvents+0x44c
000007FECA12689A 0000000000000000 0000000000000038 0000000000227C78  Qt5Core.dll!0x25689a QEventDispatcherWin32Private::sendTimerEvent+0x60a
00000000778B9BBD 0000000000227D90 000007FECA1263C0 0000000000000000  USER32.dll!0x19bbd UserCallWinProcCheckWow+0x1ad
00000000778B98C2 0000000000227D90 0000000000227D90 000007FECA1263C0  USER32.dll!0x198c2 DispatchMessageWorker+0x3b5
000007FECA125D4B 00000000024A0450 0000000000000024 0000000002568B20  Qt5Core.dll!0x255d4b QEventDispatcherWin32::processEvents+0x5db
000000006A8FA055 0000000000000080 0000038E00000014 0000000000000000  qwindows.dll!0x7a055 qt_plugin_instance+0x2e15
000007FECA0CA14F 000007FEC8F63C80 000000000022AFC0 000000000022BC44  Qt5Core.dll!0x1fa14f QEventLoop::exec+0x13f
000007FEC8F68684 0000000000000000 0000000000000000 000000000022B070  Qt5Widgets.dll!0x158684 QMenu::exec+0x64
000007FEC4709E9F 000000000D766850 0000000008BF2CC0 FFFFFFFFFFFFFFFF  kritalayerdocker.dll!0x9e9f LayerBox::slotContextMenuRequested+0x6af
000007FEC470A5CD 000000000022B180 000000001D8FDDD0 000000001CE14570  kritalayerdocker.dll!0xa5cd LayerBox::qt_static_metacall+0x10d
000007FECA0F74CA 000000001D8DE010 0000000043F91FA0 000000001D8FDD90  Qt5Core.dll!0x2274ca QMetaObject::activate+0x7fa
000007FEC47161FC 0000000000000001 0000000000348FD4 000000000034AA40  kritalayerdocker.dll!0x161fc NodeView::contextMenuRequested+0x2c
000007FEC4714CAA 000000001D7EFBA0 000000001D7EFBA0 0000000000000000  kritalayerdocker.dll!0x14caa NodeView::contextMenuEvent+0x9a
000007FEC8E56DBF 0000000000000000 0000000000000001 000000000022B520  Qt5Widgets.dll!0x46dbf QWidget::event+0xf6f
000007FEC8EE9E2E 00000000003DD900 0000000000000000 00000000FFFFFFFF  Qt5Widgets.dll!0xd9e2e QFrame::event+0x1e
000007FEC9034B4E 0000000000000000 0000000000000000 000007FEC9EEA170  Qt5Widgets.dll!0x224b4e QAbstractItemView::viewportEvent+0x1ce
000007FEC9090C94 000000000022B670 0000000039966D08 0000000000000030  Qt5Widgets.dll!0x280c94 QTreeView::viewportEvent+0x34
000007FEC471457C 000000000D6DBCB0 000007FEC9F60D90 0000000039965470  kritalayerdocker.dll!0x1457c NodeView::viewportEvent+0x1ec
000007FECA0CAA70 000000000022FBB0 0000000000000000 000000000022FBB0  Qt5Core.dll!0x1faa70 QCoreApplication::applicationVersionChanged+0x1a0
000007FEC8E17BB5 000000000D6DB5B0 01000566000009F6 000000000022BC20  Qt5Widgets.dll!0x7bb5 QApplicationPrivate::notify_helper+0x75
000007FEC8E1F5F6 000000001D7EFBA0 000007FEC9EF215F 000000000022BA4F  Qt5Widgets.dll!0xf5f6 QApplication::notify+0xd46
000007FEC7970486 0000000000000000 000107FE00000001 0000000000000000  libkritaui.dll!0x2c0486 KisApplication::notify+0x16
000007FECA0CBC08 0000000000000000 000000001D7EFBA0 000000000022C2A0  Qt5Core.dll!0x1fbc08 QCoreApplication::forwardEvent+0x1b8
000007FEC8E6AB9B 000000000256A140 000007FECA0CA971 0000000000000000  Qt5Widgets.dll!0x5ab9b QDesktopWidget::qt_metacall+0x2b5b
000007FEC8E6D7E3 000000000022FBB0 00000000024A03B0 0000000000000001  Qt5Widgets.dll!0x5d7e3 QDesktopWidget::qt_metacall+0x57a3
000007FEC8E17BDC 000000001C093E50 000000000022C270 000000000256A140  Qt5Widgets.dll!0x7bdc QApplicationPrivate::notify_helper+0x9c
000007FEC8E1EC63 0000000000000000 000007FEC9EF215F 0000000000000000  Qt5Widgets.dll!0xec63 QApplication::notify+0x3b3
000007FEC7970486 0000000000000000 000007FEC98FACC4 0000000021C0D3C0  libkritaui.dll!0x2c0486 KisApplication::notify+0x16
000007FECA0CC0C8 000000000022C270 000007FEFFBF10C8 00000000FFFFFFF5  Qt5Core.dll!0x1fc0c8 QCoreApplication::sendSpontaneousEvent+0x1a8
000007FEC98E7198 0000000021C0D3C0 000007FEC9F52F90 0000000000000001  Qt5Gui.dll!0x37198 QGuiApplicationPrivate::processMouseEvent+0x858
000007FEC98E83D5 0000000000000000 00000000024A0450 00000000001204C4  Qt5Gui.dll!0x383d5 QGuiApplicationPrivate::processWindowSystemEvent+0x105
000007FEC98C03FC 00000000779F6AF8 00000000001204C4 0000000000000401  Qt5Gui.dll!0x103fc QWindowSystemInterface::sendWindowSystemEvents+0x44c
000007FECA12689A 0000000000000000 0000000000000038 000000000022C618  Qt5Core.dll!0x25689a QEventDispatcherWin32Private::sendTimerEvent+0x60a
00000000778B9BBD 000000000022C730 000007FECA1263C0 0000000000000000  USER32.dll!0x19bbd UserCallWinProcCheckWow+0x1ad
00000000778B98C2 000000000022C730 000000000022C730 000007FECA1263C0  USER32.dll!0x198c2 DispatchMessageWorker+0x3b5
000007FECA125D4B 00000000024A0450 0000000000000024 0000000002568B20  Qt5Core.dll!0x255d4b QEventDispatcherWin32::processEvents+0x5db
000000006A8FA055 0000000000000080 0000000000000014 0000000008858770  qwindows.dll!0x7a055 qt_plugin_instance+0x2e15
000007FECA0CA14F 000007FEF6F7CE60 000007FEC94BC9F0 000000000022FB70  Qt5Core.dll!0x1fa14f QEventLoop::exec+0x13f
000007FECA0D3417 000000000022FC00 000000000022FBB0 0000000000000008  Qt5Core.dll!0x203417 QCoreApplication::exec+0x77
0000000140006E05 0000000000000001 00000000024A01B0 0000000140FC3978  krita.exe!0x6e05 main+0x2095
00000001400013C7 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x13c7 __tmainCRTStartup+0x247
00000001400014CB 0000000000000000 0000000000000000 0000000000000000  krita.exe!0x14cb WinMainCRTStartup+0x1b
000000007779571D 0000000000000000 0000000000000000 0000000000000000  kernel32.dll!0x1571d BaseThreadInitThunk+0xd
00000000779F385D 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!0x5385d RtlUserThreadStart+0x1d

0000000140000000-0000000140FD3000 krita.exe
00000000779A0000-0000000077B3F000 ntdll.dll   	6.1.7601.24388
000007FEF5C20000-000007FEF5C32000 aswhook.dll 	19.3.4.2057
0000000077780000-000000007789F000 kernel32.dll	6.1.7601.24388
000007FEFD7F0000-000007FEFD85A000 KERNELBASE.dll	6.1.7601.24388
000007FEF6F60000-000007FEF6F9F000 libkritaglobal.dll
000007FEF7240000-000007FEF724E000 libkritaversion.dll
0000000061440000-000000006145A000 libgcc_s_seh-1.dll
000007FEFFBF0000-000007FEFFC8F000 msvcrt.dll  	7.0.7601.17744
0000000064940000-0000000064955000 libwinpthread-1.dll	1.0.0.0
000000006FC40000-000000006FDA5000 libstdc++-6.dll
00000000778A0000-000000007799A000 USER32.dll  	6.1.7601.23594
000007FEFF180000-000007FEFF1E7000 GDI32.dll   	6.1.7601.24404
000007FEFD8B0000-000007FEFD8BE000 LPK.dll     	6.1.7601.24280
000007FEFE000000-000007FEFE0CB000 USP10.dll   	1.626.7601.23894
000007FEC9ED0000-000007FECA4F4000 Qt5Core.dll 	5.12.2.0
000007FEFF1F0000-000007FEFF2CB000 ADVAPI32.dll	6.1.7601.24388
000007FEFDCF0000-000007FEFDD0F000 sechost.dll 	6.1.7601.18869
000007FEFDA30000-000007FEFDB5C000 RPCRT4.dll  	6.1.7601.24388
000007FEF6590000-000007FEF65A8000 MPR.dll     	6.1.7600.16385
000007FEFB200000-000007FEFB216000 NETAPI32.dll	6.1.7601.17887
000007FEFB1E0000-000007FEFB1EC000 netutils.dll	6.1.7601.17514
000007FEFCEF0000-000007FEFCF13000 srvcli.dll  	6.1.7601.17514
000007FEFB180000-000007FEFB195000 wkscli.dll  	6.1.7601.17514
000007FEFE170000-000007FEFE36F000 ole32.dll   	6.1.7601.24388
000007FEFE3F0000-000007FEFF17B000 SHELL32.dll 	6.1.7601.24383
000007FEFE370000-000007FEFE3E1000 SHLWAPI.dll 	6.1.7601.17514
000007FEFD520000-000007FEFD53E000 USERENV.dll 	6.1.7601.17514
000007FEFD500000-000007FEFD50F000 profapi.dll 	6.1.7600.16385
000007FEFC5B0000-000007FEFC5BC000 VERSION.dll 	6.1.7600.16385
000007FEFB1A0000-000007FEFB1DB000 WINMM.dll   	6.1.7600.16385
000007FEFD8C0000-000007FEFD90D000 WS2_32.dll  	6.1.7601.23451
000007FEFF2D0000-000007FEFF2D8000 NSI.dll     	6.1.7601.23889
000007FEF6F00000-000007FEF6F57000 libKF5I18n.dll
000007FEF6FC0000-000007FEF6FDE000 libintl.DLL 	0.18.0.0
000007FEF6EE0000-000007FEF6EF2000 iconv.dll
000007FEC98B0000-000007FEC9EC5000 Qt5Gui.dll  	5.12.2.0
000007FEF6EA0000-000007FEF6EDB000 Qt5Xml.dll  	5.12.2.0
000007FEC9380000-000007FEC98A5000 libkritaimage.dll
000007FEF6BF0000-000007FEF6C0F000 libkritacommand.dll
000007FEF6920000-000007FEF6A48000 libkritawidgetutils.dll
000007FEF6730000-000007FEF67C3000 libkritaodf.dll
000007FEF1F50000-000007FEF1F73000 libkritaplugin.dll
000007FEF1940000-000007FEF199C000 libKF5ConfigCore.dll
000007FEF6BD0000-000007FEF6BEF000 libkritastore.dll
000007FEF1F20000-000007FEF1F50000 libquazip5.dll
000007FEF6AF0000-000007FEF6B10000 libzlib.dll 	1.2.11.0
000007FEF19D0000-000007FEF19F9000 libKF5ConfigGui.dll
000007FEF18B0000-000007FEF193A000 libKF5CoreAddons.dll
000007FEFCA80000-000007FEFCAB0000 LOGONCLI.DLL	6.1.7601.17514
000007FEFAF90000-000007FEFAFA4000 SAMCLI.DLL  	6.1.7601.17514
000007FEF1880000-000007FEF18A9000 libKF5GuiAddons.dll
000007FEF13C0000-000007FEF13FD000 libKF5ItemViews.dll
000007FEC8E10000-000007FEC937C000 Qt5Widgets.dll	5.12.2.0
000007FEFC560000-000007FEFC578000 dwmapi.dll  	6.1.7601.18917
000007FEFBE80000-000007FEFBED6000 UxTheme.dll 	6.1.7600.16385
000007FEF1290000-000007FEF13B9000 libKF5WidgetsAddons.dll
000007FEF1260000-000007FEF128D000 libKF5WindowSystem.dll
000007FEF1200000-000007FEF1258000 Qt5PrintSupport.dll	5.12.2.0
000007FEFE0D0000-000007FEFE167000 comdlg32.dll	6.1.7601.17514
000007FEEC5D0000-000007FEEC670000 COMCTL32.dll	5.82.7601.18837
000007FEF66A0000-000007FEF6711000 WINSPOOL.DRV	6.1.7601.24383
000007FEF0750000-000007FEF0788000 libkritametadata.dll
000007FEC8B90000-000007FEC8E0A000 libkritapigment.dll
000007FEF0700000-000007FEF074E000 libHalf.dll
000007FEF06A0000-000007FEF06FE000 libkritapsd.dll
000007FEF0590000-000007FEF069F000 libfftw3.dll
000007FEC76B0000-000007FEC8B8D000 libkritaui.dll
000007FEF7230000-000007FEF723E000 libkritacolor.dll
000007FEC7490000-000007FEC76A2000 libkritaflake.dll
000007FED40C0000-000007FED4113000 Qt5Svg.dll  	5.12.2.0
000007FEF11D0000-000007FEF11F1000 libkritaimpex.dll
000007FED4050000-000007FED40BC000 libkritalibbrush.dll
000007FED23E0000-000007FED2514000 libkritawidgets.dll
000007FEF6910000-000007FEF6920000 Qt5Concurrent.dll	5.12.2.0
000007FEC7210000-000007FEC7487000 libexiv2.dll
0000000077B50000-0000000077B57000 PSAPI.DLL   	6.1.7600.16385
000007FED3220000-000007FED3255000 libexpat.dll
000007FED31E0000-000007FED321C000 libKF5Completion.dll
000007FED31A0000-000007FED31DE000 libpng16.dll
000007FECBAE0000-000007FECBBD3000 Qt5Multimedia.dll	5.12.2.0
000007FECA8A0000-000007FECAA2D000 Qt5Network.dll	5.12.2.0
000007FEFD650000-000007FEFD7BD000 CRYPT32.dll 	6.1.7601.24382
000007FEFD4F0000-000007FEFD4FF000 MSASN1.dll  	6.1.7601.17514
000007FEFCAB0000-000007FEFCB0B000 DNSAPI.dll  	6.1.7601.24168
000007FEFAEA0000-000007FEFAEC7000 IPHLPAPI.DLL	6.1.7601.17514
000007FEFAE60000-000007FEFAE6B000 WINNSI.DLL  	6.1.7601.23889
000007FEC6F60000-000007FEC7205000 libcrypto-1_1-x64.dll	1.1.1.2
000007FECBA50000-000007FECBAD6000 libssl-1_1-x64.dll	1.1.1.2
000007FEFDB60000-000007FEFDB8E000 IMM32.DLL   	6.1.7600.16385
000007FEFDD10000-000007FEFDE19000 MSCTF.dll   	6.1.7601.23915
000007FEFD350000-000007FEFD35F000 cryptbase.dll	6.1.7601.24388
000000006A880000-000000006AA2E000 qwindows.dll	5.12.2.0
000007FEFDC10000-000007FEFDCEA000 OLEAUT32.dll	6.1.7601.24388
000007FEFC5C0000-000007FEFC5D1000 WTSAPI32.dll	6.1.7600.16385
000007FEECDD0000-000007FEECE4F000 tiptsf.dll  	6.1.7601.18984
000007FECB250000-000007FECB4AE000 wintab32.dll	1.0.5.9
000007FEFB7F0000-000007FEFB7FB000 HID.DLL     	6.1.7600.16385
000007FEFDE20000-000007FEFDFF7000 SETUPAPI.dll	6.1.7601.17514
000007FEFD870000-000007FEFD8A6000 CFGMGR32.dll	6.1.7601.17514
000007FEFD630000-000007FEFD64A000 DEVOBJ.dll  	6.1.7600.16385
000007FEFC550000-000007FEFC553000 api-ms-win-core-synch-l1-2-0.DLL	10.0.14393.2630
000007FEE5500000-000007FEE5789000 Wacom_Tablet.dll	6.3.33.3
000000006CC40000-000000006CC74000 qwindowsvistastyle.dll	5.12.2.0
000007FEEF490000-000007FEEF68F000 d3d9.dll    	6.1.7601.17514
000007FEEF910000-000007FEEF917000 d3d8thk.dll 	6.1.7600.16385
000007FEED980000-000007FEEDA9D000 opengl32.dll	6.1.7600.16385
000007FEED950000-000007FEED97D000 GLU32.dll   	6.1.7600.16385
000007FEECE50000-000007FEECF41000 DDRAW.dll   	6.1.7600.16385
000007FEF1130000-000007FEF1138000 DCIMAN32.dll	6.1.7601.24280
000007FEE3890000-000007FEE38B7000 atig6pxx.dll	25.20.15002.58
000007FEE1160000-000007FEE388E000 atio6axx.dll	25.20.15002.58
000007FEEF8E0000-000007FEEF901000 dxva2.dll   	6.1.7600.16385
000007FEE1120000-000007FEE115A000 atig6txx.dll	25.20.15002.58
000007FEE5880000-000007FEE5A1B000 atiadlxx.dll	25.20.15002.58
000007FEFBEE0000-000007FEFC00C000 PROPSYS.dll 	7.0.7601.17514
000007FEFD540000-000007FEFD57B000 WINTRUST.dll	6.1.7601.24382
000007FEFCC90000-000007FEFCCA8000 CRYPTSP.dll 	6.1.7601.24382
000007FEFC990000-000007FEFC9D7000 rsaenh.dll  	6.1.7600.16385
000007FEFD440000-000007FEFD454000 RpcRtRemote.dll	6.1.7601.17514
000007FEF6720000-000007FEF6730000 libEGL.DLL  	5.12.2.0
000007FEC6B80000-000007FEC6F59000 libGLESv2.dll	5.12.2.0
000007FEEF870000-000007FEEF8CD000 dxgi.dll    	6.2.9200.16492
000007FEEF690000-000007FEEF865000 d3d11.dll   	6.2.9200.16570
000007FEED700000-000007FEED8DB000 aticfx64.dll	25.20.15002.58
000007FEF3FD0000-000007FEF4005000 atiuxp64.dll	25.20.15002.58
000007FEEB580000-000007FEEC5B7000 atidxx64.dll	25.20.15002.58
000007FEF3FA0000-000007FEF3FCB000 amdihk64.dll	1.0.0.0
000007FEF4660000-000007FEF4672000 kimg_exr.dll
000007FEF1640000-000007FEF1653000 libIex.dll
000007FEC68E0000-000007FEC6B7B000 libIlmImf.dll
000007FEF5C00000-000007FEF5C0F000 libIlmThread.dll
000007FEF09F0000-000007FEF0A0A000 libImath.dll
000007FEF0570000-000007FEF0581000 kimg_kra.dll
000007FED30D0000-000007FED30FD000 libKF5Archive.dll
000007FED4380000-000007FED4391000 kimg_ora.dll
000007FED38D0000-000007FED38E3000 kimg_pcx.dll
000007FED3180000-000007FED3193000 kimg_pic.dll
000007FED30B0000-000007FED30C1000 kimg_psd.dll
000007FED3090000-000007FED30A2000 kimg_ras.dll
000007FED3000000-000007FED3014000 kimg_rgb.dll
000007FED23C0000-000007FED23D1000 kimg_tga.dll
000007FED23A0000-000007FED23BF000 kimg_xcf.dll
0000000061F00000-0000000061F13000 qgif.dll    	5.12.2.0
000000006C600000-000000006C615000 qicns.dll   	5.12.2.0
000000006E840000-000000006E853000 qico.dll    	5.12.2.0
00000000626C0000-0000000062729000 qjpeg.dll   	5.12.2.0
0000000061B00000-0000000061B11000 qsvg.dll    	5.12.2.0
000000006CF00000-000000006CF71000 qtiff.dll   	5.12.2.0
0000000066AC0000-0000000066AD1000 qwbmp.dll   	5.12.2.0
00000000675C0000-0000000067652000 qwebp.dll   	5.12.2.0
000007FECBA30000-000007FECBA41000 exchndl.dll 	0.8.2.0
000007FEC6870000-000007FEC68D2000 mgwhelp.dll 	0.8.2.0
000007FEC66E0000-000007FEC686F000 dbghelp.dll 	6.3.9600.17298
000007FEEDD60000-000007FEEDEF7000 dwrite.dll  	6.2.9200.22164
000007FECBA10000-000007FECBA25000 krita_shape_image.dll
000007FEC6600000-000007FEC66E0000 krita_shape_text.dll
000007FEC6470000-000007FEC65FD000 libkritatext.dll
000007FEC63F0000-000007FEC6464000 libkritatextlayout.dll
000007FEC63B0000-000007FEC63EF000 krita_shape_artistictext.dll
000007FEC6340000-000007FEC63A2000 krita_shape_paths.dll
000007FEF6FA0000-000007FEF6FB7000 kritaasccdl.dll
000007FEC6300000-000007FEC6332000 kritablurfilter.dll
000007FEC62B0000-000007FEC62F9000 kritacolorsfilters.dll
000007FECB9F0000-000007FECBA09000 kritaconvertheighttonormalmap.dll
000007FEC6290000-000007FEC62A5000 kritaconvolutionfilters.dll
000007FEC6270000-000007FEC6284000 kritadodgeburn.dll
000007FEC6250000-000007FEC6269000 kritaedgedetection.dll
000007FEC6230000-000007FEC6243000 kritaembossfilter.dll
000007FEC6210000-000007FEC6224000 kritaexample.dll
000007FEC61F0000-000007FEC620A000 kritaextensioncolorsfilters.dll
000007FEC61D0000-000007FEC61E9000 kritafastcolortransferfilter.dll
000007FEC61B0000-000007FEC61CC000 kritagradientmap.dll
000007FEC6190000-000007FEC61AC000 kritahalftone.dll
000007FEC6160000-000007FEC618B000 kritaimageenhancement.dll
000007FEC6140000-000007FEC615D000 kritaindexcolors.dll
000007FEC6120000-000007FEC6139000 kritalevelfilter.dll
000007FEC6100000-000007FEC6118000 kritanoisefilter.dll
000007FEC60E0000-000007FEC60F5000 kritanormalize.dll
000007FEC60C0000-000007FEC60D7000 kritaoilpaintfilter.dll
000007FEC6090000-000007FEC60B6000 kritaphongbumpmap.dll
000007FEC6070000-000007FEC6087000 kritapixelizefilter.dll
000007FEC6050000-000007FEC6066000 kritaposterize.dll
000007FEC6030000-000007FEC6044000 kritaraindropsfilter.dll
000007FEC6010000-000007FEC6029000 kritarandompickfilter.dll
000007FEC5FF0000-000007FEC6007000 kritaroundcornersfilter.dll
000007FEC5FD0000-000007FEC5FE5000 kritasmalltilesfilter.dll
000007FEC5FB0000-000007FEC5FCA000 kritathreshold.dll
000007FEC5F80000-000007FEC5FA2000 kritaunsharpfilter.dll
000007FEC5F60000-000007FEC5F7B000 kritawavefilter.dll
000007FEC5F40000-000007FEC5F58000 kritacolorgenerator.dll
000007FEC5F20000-000007FEC5F38000 kritapatterngenerator.dll
000007FEC5F00000-000007FEC5F1E000 kritasimplexnoisegenerator.dll
000007FEC5EC0000-000007FEC5EF7000 kritacolorsmudgepaintop.dll
000007FEC5DA0000-000007FEC5EB8000 libkritalibpaintop.dll
000007FEC5220000-000007FEC5D96000 kritalcmsengine.dll
000007FEC51C0000-000007FEC5213000 liblcms2.dll
000007FEC5180000-000007FEC51B9000 krita_colorspaces_extensions.dll
000007FEC5150000-000007FEC517B000 kritacurvepaintop.dll
000007FEC50F0000-000007FEC514A000 kritadefaultpaintops.dll
000007FEC50B0000-000007FEC50E4000 kritadeformpaintop.dll
000007FEC5080000-000007FEC50AD000 kritaexperimentpaintop.dll
000007FEC5050000-000007FEC5078000 kritafilterop.dll
000007FEC5020000-000007FEC5043000 kritagridpaintop.dll
000007FEC4FE0000-000007FEC5011000 kritahairypaintop.dll
000007FEC4FA0000-000007FEC4FD7000 kritahatchingpaintop.dll
000007FEC4F70000-000007FEC4F98000 kritaparticlepaintop.dll
000007FEC4F40000-000007FEC4F66000 kritaroundmarkerpaintop.dll
000007FEC4F10000-000007FEC4F3C000 kritasketchpaintop.dll
000007FEC4ED0000-000007FEC4F0D000 kritaspraypaintop.dll
000007FEC4EA0000-000007FEC4ECB000 kritatangentnormalpaintop.dll
000007FEC4E60000-000007FEC4E9F000 krita_filtereffects.dll
000007FEC4E20000-000007FEC4E60000 kritaassistanttool.dll
000007FEC4DC0000-000007FEC4E16000 krita_flaketools.dll
000007FEC4D50000-000007FEC4DBE000 krita_karbontools.dll
000007FEC4D30000-000007FEC4D42000 krita_tool_basicflakes.dll
000007FEC4D10000-000007FEC4D2B000 libkritabasicflakes.dll
000007FEC4CD0000-000007FEC4D0C000 krita_tool_svgtext.dll
000007FEC4C50000-000007FEC4CCE000 kritadefaulttools.dll
000007FEF5B70000-000007FEF5B80000 libboost_system-mgw73-mt-1_61.dll
000007FEC4BC0000-000007FEC4C43000 kritaselectiontools.dll
000007FEC4B90000-000007FEC4BBE000 kritatoolSmartPatch.dll
000007FEC4B60000-000007FEC4B8C000 kritatoolcrop.dll
000007FEC4B40000-000007FEC4B57000 kritatooldyna.dll
000007FEC4B10000-000007FEC4B34000 kritatoollazybrush.dll
000007FEC4AF0000-000007FEC4B06000 kritatoolpolygon.dll
000007FEC4AD0000-000007FEC4AE6000 kritatoolpolyline.dll
000007FEC49E0000-000007FEC4ACF000 kritatooltransform.dll
000007FEC4930000-000007FEC49D3000 kritaanimationdocker.dll
000007FEC4910000-000007FEC4927000 kritasvgcollectiondocker.dll
000007FEC48F0000-000007FEC4908000 kritaarrangedocker.dll
000007FEC48C0000-000007FEC48F0000 kritaartisticcolorselector.dll
000007FEC4890000-000007FEC48B2000 kritachanneldocker.dll
000007FEC4820000-000007FEC4883000 kritacolorselectorng.dll
0000000070700000-0000000070714000 qsvgicon.dll	5.12.2.0
000007FEC4800000-000007FEC481F000 kritacompositiondocker.dll
000007FEC47E0000-000007FEC47F5000 kritadigitalmixer.dll
000007FEC47B0000-000007FEC47DC000 kritagamutmask.dll
000007FEC4790000-000007FEC47AE000 kritagriddocker.dll
000007FEC4770000-000007FEC4788000 kritahistogramdocker.dll
000007FEC4750000-000007FEC4770000 kritahistorydocker.dll
000007FEC4700000-000007FEC4741000 kritalayerdocker.dll
000007FEC46E0000-000007FEC46FA000 kritalogdocker.dll
000007FEC46B0000-000007FEC46D9000 kritalutdocker.dll
000007FEC4550000-000007FEC46A2000 libOpenColorIO.dll
000007FEC4530000-000007FEC454B000 kritaoverviewdocker.dll
000007FEC4510000-000007FEC452C000 kritapalettedocker.dll
000007FEC44F0000-000007FEC4503000 kritapatterndocker.dll
000007FEC44D0000-000007FEC44E4000 kritapresetdocker.dll
000007FEC44B0000-000007FEC44C5000 kritapresethistory.dll
000007FEC4480000-000007FEC44A1000 kritasmallcolorselector.dll
000007FEC4460000-000007FEC447C000 kritaspecificcolorselector.dll
000007FEC4430000-000007FEC4458000 kritatasksetdocker.dll
000007FEC4410000-000007FEC442C000 kritatouchdocker.dll
000007FEC42F0000-000007FEC4408000 libkritaqml.dll
000007FEC3EF0000-000007FEC42E5000 Qt5Qml.dll  	5.12.2.0
000007FEC3B00000-000007FEC3EEB000 Qt5Quick.dll	5.12.2.0
000007FEC3AE0000-000007FEC3AF9000 Qt5QuickWidgets.dll	5.12.2.0
0000000067580000-00000000675A2000 qgenericbearer.dll	5.12.2.0
000007FEFAC70000-000007FEFAC81000 dhcpcsvc6.DLL	6.1.7601.17970
000007FEFAC50000-000007FEFAC68000 dhcpcsvc.DLL	6.1.7600.16385
000007FEC3AA0000-000007FEC3AE0000 kritaanimationrenderer.dll
000007FEC3A80000-000007FEC3A96000 kritabuginfo.dll
000007FEC3A60000-000007FEC3A7D000 kritaclonesarray.dll
000007FEC3A30000-000007FEC3A51000 kritacolorrange.dll
000007FEC3A10000-000007FEC3A2A000 kritacolorspaceconversion.dll
000007FEC39E0000-000007FEC3A01000 kritahistogram.dll
000007FEC39A0000-000007FEC39D1000 kritaimagesize.dll
000007FEC3980000-000007FEC399D000 kritaimagesplit.dll
000007FEC3960000-000007FEC3975000 kritalayergroupswitcher.dll
000007FEC3940000-000007FEC395F000 kritalayersplit.dll
000007FEC3910000-000007FEC393B000 kritametadataeditor.dll
000007FEC38F0000-000007FEC390C000 kritamodifyselection.dll
000007FEC38C0000-000007FEC38E2000 kritaoffsetimage.dll
000007FEC3870000-000007FEC38B6000 kritaqmic.dll
000007FEC3830000-000007FEC3867000 kritaresourcemanager.dll
000007FEC3810000-000007FEC382C000 kritarotateimage.dll
000007FEC37E0000-000007FEC3802000 kritaseparatechannels.dll
000007FEC37C0000-000007FEC37D5000 kritashearimage.dll
000007FEC37A0000-000007FEC37BB000 kritawaveletdecompose.dll
000007FEC3770000-000007FEC379D000 kritapykrita.dll
000007FEC36D0000-000007FEC376A000 libkritalibkis.dll
0000000065670000-0000000065A04000 python36.dll	3.6.2150.1013
000007FEC36B0000-000007FEC36C7000 VCRUNTIME140.dll	14.0.23026.0
000007FEF3C60000-000007FEF3C64000 api-ms-win-crt-runtime-l1-1-0.dll	10.0.14393.2630
000007FEF3B60000-000007FEF3C54000 ucrtbase.DLL	10.0.14393.2630
000007FEF3B50000-000007FEF3B53000 api-ms-win-core-timezone-l1-1-0.dll	10.0.14393.2630
000007FEF3B40000-000007FEF3B43000 api-ms-win-core-file-l2-1-0.dll	10.0.14393.2630
000007FEF3B30000-000007FEF3B33000 api-ms-win-core-localization-l1-2-0.dll	10.0.14393.2630
000007FEF1CD0000-000007FEF1CD3000 api-ms-win-core-processthreads-l1-1-1.dll	10.0.14393.2630
000007FEF1150000-000007FEF1153000 api-ms-win-core-file-l1-2-0.dll	10.0.14393.2630
000007FEF1120000-000007FEF1124000 api-ms-win-crt-string-l1-1-0.dll	10.0.14393.2630
000007FEF1110000-000007FEF1113000 api-ms-win-crt-heap-l1-1-0.dll	10.0.14393.2630
000007FEF1100000-000007FEF1104000 api-ms-win-crt-stdio-l1-1-0.dll	10.0.14393.2630
000007FEF10F0000-000007FEF10F4000 api-ms-win-crt-convert-l1-1-0.dll	10.0.14393.2630
000007FEEFBF0000-000007FEEFBF5000 api-ms-win-crt-math-l1-1-0.dll	10.0.14393.2630
000007FEF10E0000-000007FEF10E3000 api-ms-win-crt-locale-l1-1-0.dll	10.0.14393.2630
000007FEEFBD0000-000007FEEFBD3000 api-ms-win-crt-time-l1-1-0.dll	10.0.14393.2630
000007FEEFBB0000-000007FEEFBB3000 api-ms-win-crt-environment-l1-1-0.dll	10.0.14393.2630
000007FEF4AC0000-000007FEF4AC3000 api-ms-win-crt-process-l1-1-0.dll	10.0.14393.2630
000007FEF01A0000-000007FEF01A3000 api-ms-win-crt-conio-l1-1-0.dll	10.0.14393.2630
000007FEEFBC0000-000007FEEFBC3000 api-ms-win-crt-filesystem-l1-1-0.dll	10.0.14393.2630
000007FEC3630000-000007FEC36A2000 krita.pyd
0000000064F40000-0000000064F64000 sip.pyd
000000006B880000-000000006BBA7000 QtCore.pyd
000007FEF4550000-000007FEF455F000 python3.dll 	3.6.2150.1013
0000000066300000-000000006662F000 QtGui.pyd
000000001F400000-000000001FA9F000 QtWidgets.pyd
0000000061640000-000000006168E000 QtXml.pyd
0000000073710000-000000007372A000 _bz2.pyd    	3.6.2150.1013
000007FEC35E0000-000007FEC3622000 _lzma.pyd   	3.6.2150.1013
000007FEC3470000-000007FEC35D9000 _hashlib.pyd	3.6.2150.1013
000007FEEFBA0000-000007FEEFBA3000 api-ms-win-crt-utility-l1-1-0.dll	10.0.14393.2630
000007FEFC060000-000007FEFC255000 comctl32.dll	6.10.7601.24380
000007FEFD990000-000007FEFDA29000 CLBCatQ.DLL 	2001.12.8530.16385
000007FEFB600000-000007FEFB62D000 ntmarta.dll 	6.1.7600.16385
000007FEFD910000-000007FEFD962000 WLDAP32.dll 	6.1.7601.23889
000000006DA80000-000000006DA8F000 qtquick2plugin.dll	5.12.2.0
000007FEC33A0000-000007FEC3461000 kritasketchplugin.dll
000007FEC3350000-000007FEC336B000 kritakraimport.dll
000007FEC31F0000-000007FEC3256000 libkritalibkra.dll
000007FEC3160000-000007FEC3183000 kritakraexport.dll
000007FEFB640000-000007FEFB7A1000 WindowsCodecs.dll	6.2.9200.22551
000007FEFD2F0000-000007FEFD347000 apphelp.dll 	6.1.7601.19050
000007FEF3730000-000007FEF389E000 ashShell.dll	19.3.4241.0
000007FEFBC60000-000007FEFBE79000 gdiplus.dll 	6.1.7601.24405
000007FEF3690000-000007FEF36C5000 EhStorShell.dll	6.1.7600.16385
000007FEF3610000-000007FEF368E000 cscui.dll   	6.1.7601.17514
000007FEF3DC0000-000007FEF3DCC000 CSCDLL.dll  	6.1.7601.24197
000007FEF4560000-000007FEF456F000 CSCAPI.dll  	6.1.7601.24197
000007FEEF410000-000007FEEF490000 ntshrui.dll 	6.1.7601.17755
000007FEFAFD0000-000007FEFAFDB000 slc.dll     	6.1.7600.16385
000007FEEF8D0000-000007FEEF8D8000 IconCodecService.dll	6.1.7600.16385
000007FEFF740000-000007FEFFBEC000 WININET.dll 	11.0.9600.19301
000007FEFD7C0000-000007FEFD7C4000 api-ms-win-downlevel-user32-l1-1-0.dll	6.2.9200.16492
000007FEFD7E0000-000007FEFD7E4000 api-ms-win-downlevel-shlwapi-l1-1-0.dll	6.2.9200.16492
000007FEFD860000-000007FEFD864000 api-ms-win-downlevel-version-l1-1-0.dll	6.2.9200.16492
000007FEFD510000-000007FEFD513000 api-ms-win-downlevel-normaliz-l1-1-0.dll	6.2.9200.16492
0000000077B40000-0000000077B43000 normaliz.DLL	6.1.7600.16385
000007FEFF2E0000-000007FEFF5AA000 iertutil.dll	11.0.9600.19301
000007FEFD7D0000-000007FEFD7D5000 api-ms-win-downlevel-advapi32-l1-1-0.dll	6.2.9200.16492
000007FEFD110000-000007FEFD11B000 Secur32.dll 	6.1.7601.24388
000007FEFD2C0000-000007FEFD2E5000 SSPICLI.DLL 	6.1.7601.24388
000007FEF4640000-000007FEF4644000 api-ms-win-downlevel-advapi32-l2-1-0.dll	6.2.9200.16492
000007FEFD580000-000007FEFD584000 api-ms-win-downlevel-ole32-l1-1-0.dll	6.2.9200.16492
000007FEFCC30000-000007FEFCC85000 mswsock.dll 	6.1.7601.23451
000007FEFCC20000-000007FEFCC27000 wship6.dll  	6.1.7600.16385
000007FEF3B20000-000007FEF3B24000 api-ms-win-downlevel-shlwapi-l2-1-0.dll	6.2.9200.16492
000007FEFF5B0000-000007FEFF738000 urlmon.dll  	11.0.9600.19301
000007FEFC6A0000-000007FEFC6A7000 wshtcpip.dll	6.1.7600.16385
000007FEF7360000-000007FEF73D4000 netprofm.dll	6.1.7600.16385
000007FEFB120000-000007FEFB135000 nlaapi.dll  	6.1.7601.24000
0000000072E60000-0000000072E86000 mdnsNSP.dll 	3.0.0.10
000007FEF5EB0000-000007FEF5EB8000 rasadhlp.dll	6.1.7600.16385
000007FEF59C0000-000007FEF59CC000 npmproxy.dll	6.1.7600.16385
000007FEFAD20000-000007FEFAD73000 fwpuclnt.dll	6.1.7601.24000

Windows 6.1.7601
DrMingw 0.8.2
Comment 1 Halla Rempt 2019-04-05 07:06:13 UTC
I can confirm this issue, it also happens in master:

Thread 1 (Thread 0x7fcf33284840 (LWP 31458)):
[KCrash Handler]
#6  0x0000000000000000 in ?? ()
#7  0x00007fcef050945b in KisSharedPtr<KisPaintDevice>::deref (sp=0x7ffef3764868, t=<optimized out>) at /home/boud/dev/krita/libs/global/kis_shared_ptr.h:211
#8  KisSharedPtr<KisPaintDevice>::deref (this=0x7ffef3764868) at /home/boud/dev/krita/libs/global/kis_shared_ptr.h:225
#9  KisSharedPtr<KisPaintDevice>::~KisSharedPtr (this=0x7ffef3764868, __in_chrg=<optimized out>) at /home/boud/dev/krita/libs/global/kis_shared_ptr.h:109
#10 KisColorSelectorContainer::reactOnLayerChange (this=0x55b10f5a7680) at /home/boud/dev/krita/plugins/dockers/advancedcolorselector/kis_color_selector_container.cpp:214
#11 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#12 0x00007fcf3201ce05 in KisNodeManager::sigLayerActivated (this=this@entry=0x55b10d43b940, _t1=...) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/EWIEGA46WW/moc_kis_node_manager.cpp:456
#13 0x00007fcf3201c50e in KisNodeManager::qt_static_metacall (_o=0x55b10d43b940, _c=<optimized out>, _id=<optimized out>, _a=0x7ffef3764be0) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/EWIEGA46WW/moc_kis_node_manager.cpp:309
#14 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#15 0x00007fcf3201bb32 in KisLayerManager::sigLayerActivated (this=this@entry=0x55b10d2cf5c0, _t1=...) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/EWIEGA46WW/moc_kis_layer_manager.cpp:340
#16 0x00007fcf31c105d0 in KisLayerManager::activateLayer (this=this@entry=0x55b10d2cf5c0, layer=...) at /home/boud/dev/krita/libs/ui/kis_layer_manager.cc:151
#17 0x00007fcf31c3a13c in KisNodeManager::Private::activateNodeImpl (this=0x55b10d2cf5a0, node=...) at /home/boud/dev/krita/libs/ui/kis_node_manager.cpp:191
#18 0x00007fcf31c3af53 in KisNodeManager::slotSomethingActivatedNodeImpl (this=this@entry=0x55b10d43b940, node=...) at /home/boud/dev/krita/libs/ui/kis_node_manager.cpp:656
#19 0x00007fcf31c3b242 in KisNodeManager::slotNonUiActivatedNode (this=this@entry=0x55b10d43b940, node=...) at /home/boud/dev/krita/libs/ui/kis_node_manager.cpp:679
#20 0x00007fcf3201c572 in KisNodeManager::qt_static_metacall (_o=0x55b10d43b940, _c=<optimized out>, _id=<optimized out>, _a=0x7ffef3764eb0) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/EWIEGA46WW/moc_kis_node_manager.cpp:312
#21 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#22 0x00007fcf32014dd5 in KisDummiesFacadeBase::sigActivateNode (this=this@entry=0x55b115600790, _t1=...) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/QUY67KCZCL/moc_kis_dummies_facade_base.cpp:304
#23 0x00007fcf31b5d57d in KisDummiesFacadeBase::slotNodeActivationRequested (this=this@entry=0x55b115600790, node=...) at /home/boud/dev/krita/libs/ui/flake/kis_dummies_facade_base.cpp:120
#24 0x00007fcf320147b3 in KisDummiesFacadeBase::qt_static_metacall (_o=0x55b115600790, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/QUY67KCZCL/moc_kis_dummies_facade_base.cpp:144
#25 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#26 0x00007fcf30a04b65 in KisImage::sigNodeAddedAsync (this=<optimized out>, _t1=...) at /home/boud/dev/b-krita/libs/image/kritaimage_autogen/EWIEGA46WW/moc_kis_image.cpp:725
#27 0x00007fcf30a07266 in KisImage::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=0x7ffef37652a0) at /home/boud/dev/b-krita/libs/image/kritaimage_autogen/EWIEGA46WW/moc_kis_image.cpp:318
#28 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#29 0x00007fcf30a052c5 in KisImageSignalRouter::sigNodeAddedAsync (this=this@entry=0x55b1156b0578, _t1=...) at /home/boud/dev/b-krita/libs/image/kritaimage_autogen/EWIEGA46WW/moc_kis_image_signal_router.cpp:384
#30 0x00007fcf3082c66c in KisImageSignalRouter::emitNodeHasBeenAdded (this=0x55b1156b0578, parent=<optimized out>, index=<optimized out>) at /home/boud/dev/krita/libs/image/kis_image_signal_router.cpp:113
#31 0x00007fcf308aa131 in KisNode::add (this=0x55b115754e40, newNode=..., aboveThis=...) at /home/boud/dev/krita/libs/image/kis_node.cpp:508
#32 0x00007fcf308ad63a in KisNodeFacade::addNode (this=<optimized out>, node=..., parent=..., aboveThis=...) at /home/boud/dev/krita/libs/image/kis_node_facade.cpp:121
#33 0x00007fcf306c87a5 in KisImageLayerAddCommand::redo (this=0x55b118c64a40) at /home/boud/dev/krita/libs/image/commands/kis_image_layer_add_command.cpp:65
#34 0x00007fcf2b11b9c5 in KUndo2Command::redoMergedCommands (this=0x55b118c64a40) at /home/boud/dev/krita/libs/command/kundo2stack.cpp:398
#35 0x00007fcf2b11bbe8 in KUndo2QStack::push (this=0x55b11560d530, cmd=<optimized out>) at /home/boud/dev/krita/libs/command/kundo2stack.cpp:711
#36 0x00007fcf3093f81a in KisLegacyUndoAdapter::addCommand (this=this@entry=0x55b1156b0500, command=command@entry=0x55b118c64a40) at /home/boud/dev/krita/libs/image/kis_legacy_undo_adapter.cpp:47
#37 0x00007fcf31c2c255 in KisNodeCommandsAdapter::addNode (this=<optimized out>, node=..., parent=..., aboveThis=..., doRedoUpdates=<optimized out>, doUndoUpdates=<optimized out>) at /home/boud/dev/krita/libs/ui/kis_node_commands_adapter.cpp:89
#38 0x00007fcf31c1d1a1 in KisMaskManager::createMaskCommon (this=this@entry=0x55b10d2cf630, mask=..., activeNode=..., copyFrom=..., macroName=..., nodeType=..., nodeName=..., suppressSelection=false, avoidActiveNode=false, updateImage=true) at /home/boud/dev/krita/libs/ui/kis_mask_manager.cc:184
#39 0x00007fcf31c1dbd2 in KisMaskManager::createTransparencyMask (this=0x55b10d2cf630, activeNode=..., copyFrom=..., convertActiveNode=convertActiveNode@entry=false) at /home/boud/dev/krita/libs/ui/kis_mask_manager.cc:218
#40 0x00007fcf31c38246 in KisNodeManager::createNode (this=this@entry=0x55b10d43b940, nodeType=..., quiet=quiet@entry=false, copyFrom=...) at /home/boud/dev/krita/libs/ui/kis_node_manager.cpp:568
#41 0x00007fcf31c3a776 in KisNodeManager::slotSplitAlphaIntoMask (this=0x55b10d43b940) at /home/boud/dev/krita/libs/ui/kis_node_manager.cpp:1200
#42 0x00007fcf3201ca78 in KisNodeManager::qt_static_metacall (_o=0x55b10d43b940, _c=<optimized out>, _id=<optimized out>, _a=0x7ffef3766200) at /home/boud/dev/b-krita/libs/ui/kritaui_autogen/EWIEGA46WW/moc_kis_node_manager.cpp:350
#43 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#44 0x00007fcf2f5d20f2 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#45 0x00007fcf2f5d470c in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#46 0x00007fcf2f7493ac in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#47 0x00007fcf2f75091b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#48 0x00007fcf2f751793 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#49 0x00007fcf2f618838 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#50 0x00007fcf2f753abb in QMenu::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#51 0x00007fcf2f5d883c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#52 0x00007fcf2f5e0ca8 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#53 0x00007fcf31f045a7 in KisApplication::notify (this=<optimized out>, receiver=0x55b115a17190, event=0x7ffef3766950) at /home/boud/dev/krita/libs/ui/KisApplication.cpp:639
#54 0x00007fcf2e7e2328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#55 0x00007fcf2f5df29f in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool, bool) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#56 0x00007fcf2f63379d in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#57 0x00007fcf2f63634a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#58 0x00007fcf2f5d883c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#59 0x00007fcf2f5dfdd0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#60 0x00007fcf31f045a7 in KisApplication::notify (this=<optimized out>, receiver=0x7fcf000075c0, event=0x7ffef3766e50) at /home/boud/dev/krita/libs/ui/KisApplication.cpp:639
#61 0x00007fcf2e7e2328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#62 0x00007fcf2edaa52b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#63 0x00007fcf2edab695 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#64 0x00007fcf2ed8414b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#65 0x00007fcf19e1930a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#66 0x00007fcf25eaf387 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#67 0x00007fcf25eaf5c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#68 0x00007fcf25eaf64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#69 0x00007fcf2e83f13f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#70 0x00007fcf2e7e064a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#71 0x00007fcf2f74e600 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#72 0x00007fceef3eed81 in LayerBox::slotContextMenuRequested (this=<optimized out>, pos=..., index=...) at /home/boud/dev/krita/plugins/dockers/layerdocker/LayerBox.cpp:683
#73 0x00007fceef3ef41d in LayerBox::qt_static_metacall (_o=0x55b10d2e7e70, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /home/boud/dev/b-krita/plugins/dockers/layerdocker/kritalayerdocker_autogen/include/moc_LayerBox.cpp:228
#74 0x00007fcf2e811e25 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#75 0x00007fceef404ae7 in NodeView::contextMenuRequested (this=this@entry=0x55b10f1ffd80, _t1=..., _t2=...) at /home/boud/dev/b-krita/plugins/dockers/layerdocker/kritalayerdocker_autogen/EWIEGA46WW/moc_NodeView.cpp:224
#76 0x00007fceef402b2a in NodeView::showContextMenu (index=..., globalPos=..., this=<optimized out>) at /home/boud/dev/krita/plugins/dockers/layerdocker/NodeView.cpp:318
#77 NodeView::contextMenuEvent (this=0x55b10f1ffd80, e=0x7ffef3767d30) at /home/boud/dev/krita/plugins/dockers/layerdocker/NodeView.cpp:313
#78 0x00007fcf2f619614 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#79 0x00007fcf2f6bad1e in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#80 0x00007fcf2f831c73 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#81 0x00007fcf2f89b80c in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#82 0x00007fceef401f3b in NodeView::viewportEvent (this=0x55b10f1ffd80, e=0x7ffef3767d30) at /home/boud/dev/krita/plugins/dockers/layerdocker/NodeView.cpp:304
#83 0x00007fcf2e7e20ad in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#84 0x00007fcf2f5d8815 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#85 0x00007fcf2f5e02e7 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#86 0x00007fcf31f045a7 in KisApplication::notify (this=<optimized out>, receiver=0x55b10f200490, event=0x7ffef3767d30) at /home/boud/dev/krita/libs/ui/KisApplication.cpp:639
#87 0x00007fcf2e7e2328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#88 0x00007fcf2f633bc8 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#89 0x00007fcf2f63634a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#90 0x00007fcf2f5d883c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#91 0x00007fcf2f5dfdd0 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
#92 0x00007fcf31f045a7 in KisApplication::notify (this=<optimized out>, receiver=0x55b10d41da20, event=0x7ffef3768270) at /home/boud/dev/krita/libs/ui/KisApplication.cpp:639
#93 0x00007fcf2e7e2328 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#94 0x00007fcf2edaa52b in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#95 0x00007fcf2edab695 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#96 0x00007fcf2ed8414b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5
#97 0x00007fcf19e1930a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5
#98 0x00007fcf25eaf387 in g_main_context_dispatch () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#99 0x00007fcf25eaf5c0 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#100 0x00007fcf25eaf64c in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0
#101 0x00007fcf2e83f13f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#102 0x00007fcf2e7e064a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#103 0x00007fcf2e7e9800 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
#104 0x000055b100da8191 in main (argc=<optimized out>, argv=0x7ffef3768928) at /home/boud/dev/krita/krita/main.cc:495
Comment 2 Halla Rempt 2019-04-05 07:40:28 UTC
I cannot reproduce with 4.1; are you sure you're using 4.1 and not a nightly build? The git sha1 you gave doesn't seem to exist.
Comment 3 acc4commissions 2019-04-05 07:54:30 UTC
(In reply to Boudewijn Rempt from comment #2)
> I cannot reproduce with 4.1; are you sure you're using 4.1 and not a nightly
> build? The git sha1 you gave doesn't seem to exist.

Sorry. Yes, it's a nightly build. 
I submitted the report directly via application's help > Report Bug menu and didn't check the version setting it gave me.
Comment 4 Halla Rempt 2019-04-05 07:58:54 UTC
Right, so no wonder I couldn't reproduce :-)
Comment 5 Halla Rempt 2019-04-05 08:03:04 UTC
Created attachment 119256 [details]
valgrind memcheck log of the crash
Comment 6 Dmitry Kazakov 2019-04-08 08:57:07 UTC
Git commit 38175ae5b1efddcecf6f0699544884e5278a7c3f by Dmitry Kazakov.
Committed on 08/04/2019 at 08:56.
Pushed by dkazakov into branch 'master'.

Fix crash in Split Alpha

convertTo() cannot be called from the ctor, because it creates
chared pointers to 'this', which causes early death of the object.

M  +17   -12   libs/image/kis_paint_device.cc
M  +2    -0    libs/image/kis_paint_device.h
M  +6    -3    libs/image/kis_pixel_selection.cpp

https://commits.kde.org/krita/38175ae5b1efddcecf6f0699544884e5278a7c3f
Comment 7 Dmitry Kazakov 2019-05-01 09:38:38 UTC
*** Bug 399751 has been marked as a duplicate of this bug. ***
Comment 8 Dmitry Kazakov 2019-05-01 09:39:28 UTC
*** Bug 399749 has been marked as a duplicate of this bug. ***